Google Cloud Spanner Database Administration v1 API - Class UpdateBackupRequest (4.1.0)

Stay organized with collections Save and categorize content based on your preferences.
public sealed class UpdateBackupRequest : IMessage<UpdateBackupRequest>, IEquatable<UpdateBackupRequest>, IDeepCloneable<UpdateBackupRequest>, IBufferMessage, IMessage

Reference documentation and code samples for the Google Cloud Spanner Database Administration v1 API class UpdateBackupRequest.

The request for [UpdateBackup][google.spanner.admin.database.v1.DatabaseAdmin.UpdateBackup].

Inheritance

Object > UpdateBackupRequest

Namespace

Google.Cloud.Spanner.Admin.Database.V1

Assembly

Google.Cloud.Spanner.Admin.Database.V1.dll

Constructors

UpdateBackupRequest()

public UpdateBackupRequest()

UpdateBackupRequest(UpdateBackupRequest)

public UpdateBackupRequest(UpdateBackupRequest other)
Parameter
NameDescription
otherUpdateBackupRequest

Properties

Backup

public Backup Backup { get; set; }

Required. The backup to update. backup.name, and the fields to be updated as specified by update_mask are required. Other fields are ignored. Update is only supported for the following fields:

  • backup.expire_time.
Property Value
TypeDescription
Backup

UpdateMask

public FieldMask UpdateMask { get; set; }

Required. A mask specifying which fields (e.g. expire_time) in the Backup resource should be updated. This mask is relative to the Backup resource, not to the request message. The field mask must always be specified; this prevents any future fields from being erased accidentally by clients that do not know about them.

Property Value
TypeDescription
FieldMask